Bug 79384 - Installer mouse module errors out, cannot configure mouse
Installer mouse module errors out, cannot configure mouse
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: firstboot (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-10 20:45 EST by Russell Haskins
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-12 11:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Haskins 2002-12-10 20:45:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 342, in nextClicked
    result = module.apply(self.notebook)
  File "/usr/share/firstboot/modules/mouse_gui.py", line 251, in apply
    (gpm, xprotocol, device, emulate, shortname) =
self.mouse.available()[selectedMouse]
KeyError


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Brent Fox 2002-12-11 11:51:08 EST
Can you give me a little more information about what happened like what mouse
you had selected and when the crash occurred?
Comment 2 Russell Haskins 2002-12-11 12:09:06 EST
I tried to expand the list under Kennsington which didn't work, then I tried to 
expand the list under Generic, which didn't work. I left Generic selected with 
emulate three button selected. When I pressed the next button I reveived the 
error message. With the system up and running I still can not configure the 
mouse.
Comment 3 Brent Fox 2002-12-11 12:16:01 EST
So you were running firstboot in reconfig mode?  That's the only way you could
have seen the mouse screen in firstboot.
Comment 4 Russell Haskins 2002-12-11 12:27:35 EST
I just recieved this system, it's a Dell Precision Workstation 530 with Linux 
installed by Dell. I hooked it up powered it on and followed the screens. The 
mouse, monitor, and keyboard are connected through a Belkin KVM.  One of the 
screens that displayed was kudzu...

I have not had a problem with the old system (linux 7.2) that this system is 
replacing using this KVM. But, then it was installed a long time ago...
Comment 5 Brent Fox 2002-12-11 12:44:10 EST
Oh, ok.  I understand now.  Dell ships their workstations with firstboot
preconfigured to run in reconfig mode.  I'll do some more investigation to
figure out why the crash occured.
Comment 6 Brent Fox 2002-12-12 11:17:05 EST
Hmm, I can't seem to reproduce the behavior that you are seeing on my test
machines, although I have a Precision 420 and a Precision 220, not the Precision
530.  I wouldn't think that there would be much difference, though.

My thought is to first try to get the mouse up and working so that you can
actually use the system.  Then we can try to figure out why you saw the crash
during firstboot.

So I have a few more questions for you:
1) Does the mouse work at all in X windows?
2) Can you try running 'mouseconfig' and picking your mouse from that list? 
Does that seem to help?
Comment 7 Russell Haskins 2002-12-12 11:34:02 EST
The mouse configure tool did not work after the system finished installation 
and I logged in a root. But I could use the mouse.

This morning I logged in as a user (not root) and ran the mouse configure tool, 
after entering the root password it allowed me to see the drop down lists and 
select the mouse I wanted. I logged out then back in as root and the mouse 
configure tool continued to work.

The system has not been re-booted...

Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.